using System;
using System.Data;
using System.Globalization;
using System.Resources;
using System.Threading;
/****************************************************************************************************************************
* Project Name    : TimeCheck                                        Started Date  : 12-Aug-2007
* Module          : Generic Master                                   Last Modified : 02-Aug-2007
* Programmer      : Arun Vinoth.T
* Current Storage : \\Angler56\Projects\Inprogress\SCREEN1206\code\Time_AttendanceApp
* BackUp          :
****************************************************************************************************************************/
public partial class Masters_TA_UI_Master_StateView : Base.BasePage
{
    #region "Variable Declaration"
    ResourceManager rm;
    CultureInfo ci;
    int SID, CountryID;
    GenericEventdata objgeneric = new GenericEventdata();
    Cls_CheckUser objCheckUser = new Cls_CheckUser();
    DataSet ds_Checkuser = new DataSet();
    string gstrUserGroupName = string.Empty;
    cls_Common objCommon = new cls_Common();
    int auEmpId;
    #endregion
    #region PageLoad
    protected override void Page_Load(object sender, EventArgs e)
    {
        // session checking
        base.Page_Load(sender, e);
        //get the culture info to set the language        
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        LoadStrings(ci);
        auEmpId = Convert.ToInt32(Session["EmpAutoID"].ToString());
        //Set UserRights
        UserRights();
        loadcss();
        btn_Delete.Attributes.Add("onclick", "return confirm('" + rm.GetString("Alert_ConfirmDelete", ci) + "')");
        btn_Restore.OnClientClick = "return confirm('" + rm.GetString("Alert_Areyousuretorestore", ci) + "')";
        btn_PermanentDelete.OnClientClick = "return confirm('" + rm.GetString("Alert_AreyouwantDeleteRecordPermanently", ci) + "')";
        SID = Convert.ToInt32(Request.QueryString["ID"]);
        gstrUserGroupName = Convert.ToString(Session["UserGroupName"]);
        if (gstrUserGroupName != "SuperAdmin")
        {
            lbl_DeleteStatus_Main.Visible = false;
            lbl_DeleteStatus.Visible = false;
            btn_Restore.Visible = false;
            btn_PermanentDelete.Visible = false;
        }
        DataSet ds = new DataSet();
        ds = objgeneric.Getstate(SID, gstrUserGroupName);
        if (ds.Tables.Count > 0)
        {
            if (ds.Tables[0].Rows.Count > 0)
            {
                lbl_Country.Text = ds.Tables[0].Rows[0]["country"].ToString();
                lbl_State.Text = ds.Tables[0].Rows[0]["state"].ToString();
                lbl_DeleteStatus.Text = ds.Tables[0].Rows[0]["Isdeleted"].ToString();
                CountryID = Convert.ToInt16(ds.Tables[0].Rows[0]["countryID"]);
                if (lbl_DeleteStatus.Text == "True" || lbl_DeleteStatus.Text == rm.GetString("Grid_True", ci))
                {
                    btn_Delete.Visible = false;
                }
                else if (lbl_DeleteStatus.Text == "False" || lbl_DeleteStatus.Text == rm.GetString("Grid_False", ci))
                {
                    btn_Restore.Visible = false;
                }
                if (lbl_DeleteStatus.Text == "True")
                {
                    lbl_DeleteStatus.Text = rm.GetString("Grid_True", ci);
                }
                else if (lbl_DeleteStatus.Text == "False")
                {
                    lbl_DeleteStatus.Text = rm.GetString("Grid_False", ci);
                }
            }
        }
        ds.Dispose();
        btn_Modify.Focus();
        int count = objgeneric.CountLookup(SID);
        if (count > 0)
        {
            btn_Delete.Enabled = false;
            btn_PermanentDelete.Enabled = false;
        }
        if (!IsPostBack)
        {
            objCommon.menu("EmployeeMaster", "226");
        }
    }
    #endregion
    #region ButtonEvents
    protected void btn_Modify_Click(object sender, EventArgs e)
    {
        Response.Redirect("TA_UI_Master_StateModify.aspx?ID=" + SID);
    }
    protected void btn_Delete_Click(object sender, EventArgs e)
    {
        int count = objgeneric.CountLookup(SID);
        if (count > 0)
        {
            //lbl_Error.Text = rm.GetString("Master_State_Cannot_Delete", ci);
            base.Message(rm.GetString("Master_State_Cannot_Delete", ci));
            return;
        }
        else
        {
            objgeneric.TemporaryDelete_lookupdata(SID.ToString(), auEmpId);
            //Response.Redirect("TA_UI_Master_StateList.aspx");
            base.MessageWithRedirect(rm.GetString("Alert_Statedeletedsuccessfully", ci), "TA_UI_Master_StateList.aspx");
        }
    }
    protected void btn_Cancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("TA_UI_Master_StateList.aspx");
    }
    protected void btn_Restore_Click(object sender, EventArgs e)
    {
        int Count = objgeneric.CheckStateCityInsertUpdate("M", SID, lbl_State.Text, CountryID, 2);
        if (Count > 0)
        {
            //lbl_Error.Text = rm.GetString("Message_Cannot_Restore", ci);
            base.Message(rm.GetString("Message_Cannot_Restore", ci));
            return;
        }
        else
        {
            objgeneric.Restore_lookupdata(SID.ToString(), auEmpId);
            //Response.Redirect("TA_UI_Master_StateList.aspx");
            base.MessageWithRedirect(rm.GetString("Alert_Staterestoredsuccessfully", ci), "TA_UI_Master_StateList.aspx");
        }
    }
    protected void btn_PermanentDelete_Click(object sender, EventArgs e)
    {
        int count = objgeneric.CountLookup(SID);
        if (count > 0)
        {
            //lbl_Error.Text = "State Cannot be Deleted";
            base.Message(rm.GetString("Master_State_Cannot_Delete", ci));
            return;
        }
        else
        {
            objgeneric.PermanentDelete_lookupdata(SID.ToString(), auEmpId);
            //Response.Redirect("TA_UI_Master_StateList.aspx");
            base.MessageWithRedirect(rm.GetString("Alert_Statedeletedsuccessfully", ci), "TA_UI_Master_StateList.aspx");
        }
    }
    #endregion
    #region UserDefinedFunctions
    //Getting Information from resource file and display it in label
    private void LoadStrings(CultureInfo ci)
    {
        lbl_CountryName.Text = rm.GetString("Country_Name", ci);
        lbl_StateName.Text = rm.GetString("State_Name", ci);
        lbl_HeaderState.Text = rm.GetString("Masters_Generic_State", ci);
        btn_Modify.Text = rm.GetString("btn_Modify", ci);
        btn_Delete.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Delete", ci);
        btn_Cancel.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Back", ci);
        btn_Restore.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Restore", ci);
        btn_PermanentDelete.Text = "&nbsp;&nbsp;" + rm.GetString("btn_PermanentDelete", ci);
        lbl_DeleteStatus_Main.Text = rm.GetString("DeleteStatus", ci);
    }
    private void UserRights()
    {
        ds_Checkuser = objCheckUser.checkRights(226, Convert.ToInt32(Session["userGroup_Id"]), "");
        if (ds_Checkuser.Tables[0].Rows.Count > 0)
        {
            if (ds_Checkuser.Tables[0].Rows[0]["viewPrv"] == DBNull.Value || Convert.ToInt32(ds_Checkuser.Tables[0].Rows[0]["viewPrv"]) != 1)
            {
                Response.Redirect("TA_UI_Master_StateList.aspx");
            }
            if (ds_Checkuser.Tables[0].Rows[0]["modifyPrv"] != DBNull.Value && Convert.ToInt32(ds_Checkuser.Tables[0].Rows[0]["modifyPrv"]) == 1)
            {
                this.btn_Modify.Visible = true;
            }
            else
            {
                this.btn_Modify.Visible = false;
            }
            if (ds_Checkuser.Tables[0].Rows[0]["deletePrv"] != DBNull.Value && Convert.ToInt32(ds_Checkuser.Tables[0].Rows[0]["deletePrv"]) == 1)
            {
                this.btn_Delete.Visible = true;
            }
            else
            {
                this.btn_Delete.Visible = false;
            }
        }
        else
        {
            Response.Redirect("MasterLandingPage.aspx");
        }
    }
    private void loadcss()
    {
        CultureInfo ci;
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        //if Standard Demo
        htmlState.Attributes.Add("dir", rm.GetString("Direction", ci));
        if (source_Language == "Resources.Resource_AR")
        {
            stylebootstrap.Href = "../bootstrap/css/bootstrap-rtl.min.css";
            stylefontawesome.Href = "../bootstrap/font-awesome/css/font-awesome-rtl.css";
            styleAdminLTE.Href = "../dist/css/AdminLTE.min-rtl.css";
            stylecustom.Href = "../dist/css/custom-rtl.css";
            stylefonts.Href = "../dist/css/fonts.css";
        }
        else
        {
            //htmlState.Attributes.Add("dir", "rtl");
            //stylebootstrap.Href = "../bootstrap/css/bootstrap-rtl.min.css";
            //stylefontawesome.Href = "../bootstrap/font-awesome/css/font-awesome-rtl.css";
            //styleAdminLTE.Href = "../dist/css/AdminLTE.min-rtl.css";
            //stylecustom.Href = "../dist/css/custom-rtl.css";
            //stylefonts.Href = "../dist/css/fonts.css";
            stylebootstrap.Href = "../bootstrap/css/bootstrap.min.css";
            stylefontawesome.Href = "../bootstrap/font-awesome/css/font-awesome.css";
            styleAdminLTE.Href = "../dist/css/AdminLTE.min.css";
            stylecustom.Href = "../dist/css/custom.css";
            stylefonts.Href = "../dist/css/fonts.css";
        }
    }
    #endregion
}
